## org.apache.hadoop.util
Enum ProcessTree.Signal

    java.lang.Object
      java.lang.Enum<ProcessTree.Signal>
          org.apache.hadoop.util.ProcessTree.Signal

All Implemented Interfaces:
  Serializable, Comparable<ProcessTree.Signal>

Enclosing class:
  ProcessTree

    public static enum ProcessTree.Signal

extends Enum<ProcessTree.Signal>

The constants for the signals.

Enum Constant Summary
`KILL`
`QUIT`
`TERM`

Method Summary
`int` `getValue()`
`static ProcessTree.Signal` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProcessTree.Signal[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### QUIT

    public static final ProcessTree.Signal QUIT

### KILL

    public static final ProcessTree.Signal KILL

### TERM

    public static final ProcessTree.Signal TERM

Method Detail

### values

    public static ProcessTree.Signal[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProcessTree.Signal c : ProcessTree.Signal.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProcessTree.Signal valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public int getValue()

Copyright © 2009 The Apache Software Foundation